### Enumeration

# Gtk TextDirection

#### Declaration

    enum Gtk.TextDirection

#### Description [src]

Reading directions for text.

#### Members

`GTK_TEXT_DIR_NONE`

  No direction.

  - Value: `0`
  - Nickname: `none`
  - Available since: 4.0
`GTK_TEXT_DIR_LTR`

  Left to right text direction.

  - Value: `1`
  - Nickname: `ltr`
  - Available since: 4.0
`GTK_TEXT_DIR_RTL`

  Right to left text direction.

  - Value: `2`
  - Nickname: `rtl`
  - Available since: 4.0